Page MenuHomePhabricator

user_groups variable is randomly ignored by abusefilter
Closed, ResolvedPublic

Description

user_groups variable is randomly not showed in log details nor it works in filters, thus randomly breaking lots of active filters

Event Timeline

Vituzzu created this task.Aug 18 2017, 12:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2017, 12:29 PM
Vituzzu triaged this task as High priority.Aug 18 2017, 12:30 PM
Samtar added a subscriber: Samtar.Aug 18 2017, 1:10 PM
Vituzzu renamed this task from No user_groups variable in abusefilter to user_groups variable is randomly ignored by abusefilter.Aug 18 2017, 2:01 PM
Vituzzu updated the task description. (Show Details)

For what it's worth, I've had a dig through the filter (filter rules look okay), and I've confirmed this appears to only be happening on it.wiki (not noticed any random false positives on en.wiki yet)

He7d3r added a subscriber: He7d3r.Oct 28 2017, 3:56 PM
Daimona closed this task as Resolved.Mar 11 2018, 11:59 AM
Daimona claimed this task.
Daimona added a subscriber: Daimona.

Sounds like this doesn't happen anymore. In the case of further malfunctioning, we may start over with fresh code to analyze.